aboutsummaryrefslogtreecommitdiffstats
path: root/debian/ethereal-dev.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/ethereal-dev.postinst')
-rw-r--r--debian/ethereal-dev.postinst19
1 files changed, 19 insertions, 0 deletions
diff --git a/debian/ethereal-dev.postinst b/debian/ethereal-dev.postinst
index ec629da3f9..4dca3e4d79 100644
--- a/debian/ethereal-dev.postinst
+++ b/debian/ethereal-dev.postinst
@@ -1,5 +1,24 @@
#! /bin/sh -e
+PYTHON=python2.3
+
+case "$1" in
+ configure|abort-upgrade|abort-remove|abort-deconfigure)
+ /usr/bin/$PYTHON -O /usr/lib/$PYTHON/compileall.py -q \
+ /usr/lib/$PYTHON/site-packages/
+ ;;
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
+
+#! /bin/sh -e
+
PYTHON=python2.2
case "$1" in